> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kayle.id/llms.txt
> Use this file to discover all available pages before exploring further.

# List API keys



## OpenAPI

````yaml /api-reference/openapi.json get /v1/auth/api-keys
openapi: 3.1.0
info:
  title: Kayle ID
  version: 1.5.0
  description: Privacy-first identity verification.
  license:
    name: Apache License 2.0
    url: https://github.com/kayleai/kayle-id/blob/main/LICENSE
  contact:
    name: Kayle ID
    url: https://kayle.id
    email: help@kayle.id
  termsOfService: https://kayle.id/terms
servers:
  - url: http://127.0.0.1:8787
    description: ''
security:
  - bearerAuth: []
paths:
  /v1/auth/api-keys:
    get:
      tags:
        - API Keys
      summary: List API keys
      parameters:
        - schema:
            type: integer
            minimum: 1
            maximum: 100
            description: >-
              Maximum number of API keys to return. Defaults to 10 if not
              specified.
          required: false
          description: >-
            Maximum number of API keys to return. Defaults to 10 if not
            specified.
          name: limit
          in: query
        - schema:
            type: string
            format: uuid
            description: >-
              Cursor of the last item from the previous page. When provided, the
              next page of results will be returned.
          required: false
          description: >-
            Cursor of the last item from the previous page. When provided, the
            next page of results will be returned.
          name: starting_after
          in: query
      responses:
        '200':
          description: Retrieve API keys.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        enabled:
                          type: boolean
                        permissions:
                          type: array
                          items:
                            type: string
                        metadata:
                          type: object
                          additionalProperties:
                            anyOf:
                              - type: string
                                maxLength: 512
                              - type: number
                              - type: boolean
                        createdAt:
                          type: string
                          format: date
                        updatedAt:
                          type: string
                          format: date
                        requestCount:
                          type: number
                      required:
                        - id
                        - name
                        - enabled
                        - permissions
                        - metadata
                        - createdAt
                        - updatedAt
                        - requestCount
                  error:
                    type: 'null'
                  pagination:
                    $ref: '#/components/schemas/Pagination'
                required:
                  - data
                  - error
                  - pagination
        '403':
          description: Forbidden.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: 'null'
                    description: Empty data object.
                  error:
                    type:
                      - object
                      - 'null'
                    properties:
                      code:
                        type: string
                        description: The error code
                      message:
                        type: string
                        description: The error message
                      hint:
                        type: string
                        description: A hint to help the user fix the error
                      docs:
                        type: string
                        description: A link to the documentation for the error
                    required:
                      - code
                      - message
                      - hint
                      - docs
                  pagination:
                    type: object
                    properties:
                      limit:
                        type: number
                      has_more:
                        type: boolean
                        enum:
                          - false
                      next_cursor:
                        type: 'null'
                    required:
                      - limit
                      - has_more
                      - next_cursor
                required:
                  - data
                  - error
                  - pagination
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: 'null'
                    description: Empty data object.
                  error:
                    type:
                      - object
                      - 'null'
                    properties:
                      code:
                        type: string
                        description: The error code
                      message:
                        type: string
                        description: The error message
                      hint:
                        type: string
                        description: A hint to help the user fix the error
                      docs:
                        type: string
                        description: A link to the documentation for the error
                    required:
                      - code
                      - message
                      - hint
                      - docs
                  pagination:
                    type: object
                    properties:
                      limit:
                        type: number
                      has_more:
                        type: boolean
                        enum:
                          - false
                      next_cursor:
                        type: 'null'
                    required:
                      - limit
                      - has_more
                      - next_cursor
                required:
                  - data
                  - error
                  - pagination
              example:
                data: null
                error:
                  code: INTERNAL_SERVER_ERROR
                  message: An unexpected error occurred
                pagination:
                  limit: 10
                  has_more: false
                  next_cursor: null
components:
  schemas:
    Pagination:
      type: object
      properties:
        limit:
          type: number
          description: The maximum number of items returned.
          example: 10
        has_more:
          type: boolean
          description: Whether there are more items available after this page.
          example: false
        next_cursor:
          type:
            - string
            - 'null'
          description: >-
            Cursor to use as `starting_after` to fetch the next page of results,
            or null if there are no more items.
          example: null
      required:
        - limit
        - has_more
        - next_cursor
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````